tenableConfiguration
Gets Tenable integration informations
tenableConfiguration(
companyId: ID!
): TenableConfiguration!
Arguments
tenableConfiguration.companyId ● ID! non-null scalar
Type
TenableConfiguration object
Example request
This generated query uses placeholders for required values. Replace them with values available to your API key before running it.
Before you run it
Run the companies query first and use data.companies.collection[].id as companyId.
- cURL
- JavaScript
- Python
curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"query GetTenableConfiguration($companyId: ID!) {\n tenableConfiguration(companyId: $companyId) { severitiesToImport statusMappings { externalIssueStatuses internalIssueStatus } }\n}","variables":{"companyId":"<company_id>"}}'
const response = await fetch('https://api.convisoappsec.com/graphql', {
method: 'POST',
headers: {
'content-type': 'application/json',
'x-api-key': process.env.CONVISO_API_KEY,
},
body: JSON.stringify({
query: "query GetTenableConfiguration($companyId: ID!) {\n tenableConfiguration(companyId: $companyId) { severitiesToImport statusMappings { externalIssueStatuses internalIssueStatus } }\n}",
variables: {
"companyId": "<company_id>"
},
}),
});
const { data, errors } = await response.json();
if (errors) throw new Error(errors.map(({ message }) => message).join(', '));
console.log(data);
import json
import os
import requests
response = requests.post(
'https://api.convisoappsec.com/graphql',
headers={
'content-type': 'application/json',
'x-api-key': os.environ['CONVISO_API_KEY'],
},
json={
'query': "query GetTenableConfiguration($companyId: ID!) {\n tenableConfiguration(companyId: $companyId) { severitiesToImport statusMappings { externalIssueStatuses internalIssueStatus } }\n}",
'variables': json.loads("{\"companyId\":\"<company_id>\"}"),
},
timeout=30,
)
response.raise_for_status()
payload = response.json()
if payload.get('errors'):
raise RuntimeError(payload['errors'])
print(payload['data'])
Contribute to the Docs
Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.
How to contribute